package com.ksyun;

import com.google.gson.Gson;
import com.ksyun.service.Request;

import java.util.HashMap;
import java.util.Map;

public class Main {
    public static void main(String[] args) {
        Request request = new Request("GET", "http://a728946152c0c2ed0846cd5eeb9fe771.cn-beijing-6.kscloudapi.com:8000/getUser");
        request.setAKSK("apigwQ-u4A92uTf-RtHRZjs1bag", "OCIoZBW5RqPKGI6kpa6fBXqFKLFK+XXkh1d48XSgJLuy4pqKE3sTTlSfjctZPrD1bA==");

        Map<String, String>pathArgs = new HashMap<String, String>();
        //pathArgs.put("name", "jack");
        request.mPathArgs = pathArgs;

        Map<String, String>queryArgs = new HashMap<String, String>();
        queryArgs.put("userId", "100");
        queryArgs.put("age", "18");
        queryArgs.put("hobby", "eat");
        request.mQueryArgs = queryArgs;

        Map<String, String>bodyArgs = new HashMap<String, String>();
        //bodyArgs.put("age", "20");
        //bodyArgs.put("hobby", "sleep");
        request.mBodyArgs = bodyArgs;

        // json传参示例：
        // request.mBodyString = "{\"name\": \"jack\"}";

        Map<String, String>headers = new HashMap<String, String>();
        headers.put("x-kscapigw-env", "release");
        //headers.put("content-type", "application/json");
        //headers.put("hd-a", "aaa");
        //headers.put("hd-b", "bbb");
        request.mHeaders = headers;

        System.out.println("stringToSign: " + request.canonicalQueryString());
        System.out.println("signString: " + request.signString());

        String response = request.execute();
        System.out.println("response: " + response);
    }
}
